# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.lebensmittelwarnung',
 'deutschland.lebensmittelwarnung.api',
 'deutschland.lebensmittelwarnung.apis',
 'deutschland.lebensmittelwarnung.model',
 'deutschland.lebensmittelwarnung.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-lebensmittelwarnung',
    'version': '0.1.0',
    'description': 'Lebensmittelwarnungen API',
    'long_description': '# lebensmittelwarnung\nListe aller Lebensmittel und Produktwarnungen\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[lebensmittelwarnung]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E lebensmittelwarnung\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import lebensmittelwarnung\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import lebensmittelwarnung\nfrom pprint import pprint\nfrom deutschland.lebensmittelwarnung.api import default_api\nfrom deutschland.lebensmittelwarnung.model.inline_object import InlineObject\nfrom deutschland.lebensmittelwarnung.model.response import Response\n# Defining the host is optional and defaults to https://megov.bayern.de/verbraucherschutz/baystmuv-verbraucherinfo/rest/api\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = lebensmittelwarnung.Configuration(\n    host = "https://megov.bayern.de/verbraucherschutz/baystmuv-verbraucherinfo/rest/api"\n)\n\n# The client must configure the authentication and authorization parameters\n# in accordance with the API server security policy.\n# Examples for each auth method are provided below, use the example that\n# satisfies your auth use case.\n\n# Configure API key authorization: ApiKeyAuth\nconfiguration.api_key[\'ApiKeyAuth\'] = \'YOUR_API_KEY\'\n\n# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed\n# configuration.api_key_prefix[\'ApiKeyAuth\'] = \'Bearer\'\n\n\n# Enter a context with an instance of the API client\nwith lebensmittelwarnung.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    inline_object = InlineObject(\n        food=RequestOptions(\n            rows=500,\n            sort="publishedDate desc, title asc",\n            start=11,\n            fq=["publishedDate > 1630067654000"],\n        ),\n        products=RequestOptions(\n            rows=500,\n            sort="publishedDate desc, title asc",\n            start=11,\n            fq=["publishedDate > 1630067654000"],\n        ),\n    ) # InlineObject |  (optional)\n\n    try:\n        # Liste aller Lebensmittel und Produktwarnungen\n        api_response = api_instance.list_warnungen(inline_object=inline_object)\n        pprint(api_response)\n    except lebensmittelwarnung.ApiException as e:\n        print("Exception when calling DefaultApi->list_warnungen: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://megov.bayern.de/verbraucherschutz/baystmuv-verbraucherinfo/rest/api*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**list_warnungen**](docs/DefaultApi.md#list_warnungen) | **POST** /warnings/merged | Liste aller Lebensmittel und Produktwarnungen\n\n\n## Documentation For Models\n\n - [InlineObject](docs/InlineObject.md)\n - [RequestOptions](docs/RequestOptions.md)\n - [Response](docs/Response.md)\n - [ResponseDocs](docs/ResponseDocs.md)\n - [ResponseProduct](docs/ResponseProduct.md)\n - [ResponseRapexInformation](docs/ResponseRapexInformation.md)\n - [ResponseSafetyInformation](docs/ResponseSafetyInformation.md)\n\n\n## Documentation For Authorization\n\n\n## ApiKeyAuth\n\n- **Type**: API key\n- **API key parameter name**: Authorization\n- **Location**: HTTP header\n\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in lebensmittelwarnung.apis and lebensmittelwarnung.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.lebensmittelwarnung.api.default_api import DefaultApi`\n- `from deutschland.lebensmittelwarnung.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import lebensmittelwarnung\nfrom deutschland.lebensmittelwarnung.apis import *\nfrom deutschland.lebensmittelwarnung.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/lebensmittelwarnung-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
